MaNGOS 0.16   (??? ??? 2010)

 MaNGOS 0.16 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 ==== Server Features ====

 ==== Statistics ====
 * Fixed Bugs: ??? tickets and many bugs reported at forum resolved
 * Total number of changes: ??? revisions (??? commits)

MaNGOS 0.15   (10 January 2010)

 MaNGOS 0.15 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 * Added: Implement AV battleground.
 * Added: Implement threat level show in client.
 * Added: Implement dead visible creatures support.
 * Added: Implement new dungeon/raid difficulties work.
 * Added: Implement mails sending at player levelup.
 * Added: Implement new DB-based gossip system for creatures/gameobjects.
 * Improved: More proper creature movement animation in fly. Improvements in movement generators.
 * Improved: Fixes in pool system that must allow more wide use pool of pools mode.
 * Improved: Rewrited battleground spirit guids code for more correct work.
 * Improved: More achievement types support. Including with DB/script-based achievement requirement checks.
 * plus lots of fixes for auras, effects, spells, talents, glyphs and more.

 ==== Server Features ====

 * Added: More chat/console commands and config options.
 * Added: Implement realmd support realms for different client versions.
 * Added: New memory allocator for MaNGOS, based on Intel Threading Building Blocks library.
 * Improved: Some guid generation and object stores made map local. More improvements can be possible in future for this part.
 * Improved: Player updates move to map local code.
 * Improved: More other changes for thread safe work code in future per-map threads.
 * Improved: More wide use ACE features instead explicitly hardcoded.
 * Improved: Rewritten mail preparing code, and cleanup mail system code in general.
 * Improved: More checks at loading DB data for problems detection.
 * Improved: Some optimizations in amount data send to client.
 * Improved: Avoid characters save calls in some redundant cases.
 * Improved: Progress in move before used at loading values from `data` field to own fields/tables.

 ==== Statistics ====
 * Fixed Bugs: 100 tickets and many bugs reported at forum resolved
 * Total number of changes: 547 revisions (560 commits)


MaNGOS 0.14   (06 October 2009)

 MaNGOS 0.14 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 * Added: Support for 'on demand' regeneration of power instead fixed tick mode.
 * Added: Allow NPCs to apply taunt.
 * Added: Update killing quest objectives base at creature_template KillCredit fields.
 * Added: Implement support `spell_proc_item_enchant` table for ppm item enchantments triggering at hit.
 * Added: Implement new arena rating-system for season 6.
 * Added: Allow save and restore at login forms/stances.
 * Added: Implement far sight like spells work for long distance.
 * Added: Implement proper storage and use of character specific account data.
 * Added: Implement battleground bonusweekends call to arms.
 * Added: Implement DB-based store battleground/arena gameobjects/creatures and related event spawn/despawn requirement.
 * Improved: Fixes and optimizations in spell cooldown code.
 * Improved: Fixes and improvements in EventAI code let better EventAI creature scripting.
 * Improved: Fixes in combat log packets let show more correct info.
 * Improved: More achievements types support implemented.
 * Improved: Fixed well known walk-after-taxi bug.
 * Improved: More improvements in mind control code.
 * Improved: More improvements in gameobjects spawn/despawn work dependent from gameobject template data.
 * Improved: Changed formula used for calculation creature damage base at attackpower.
 * Improved: Propertly storing/restoring BG entry point including mount/taxi state
 * Improved: More correct work timed quests, other quest code improvements.
 * Improved: Implement more strict checks for fake messages in chat.
 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====

 * Added: Implement support spell casting precasts and aura boost casts for simplify and support related spell cast dependencies.
 * Added: Implement possibility to reset client cache data from server side.
 * Added: Implement --enable-builtin-ace option for explicit select builtin/system ACE in Unix/Linux build.
 * Added: Implement check DBs versions (required_* fields) at mangosd/realmd loading.
 * Improved: More checks at server startup for DB content.
 * Improved: Some fields moved from `data` field of characters table to own fields. More planned move to final get rid from `data` field.
 * Improved: Finish switch to uint32 spell ids use in code.
 * Improved: Optimizations in map loading and broadcasting. New cell search algorithm implemented.
 * Improved: Fixed memory leaks (mostly at server shutdown) and code cleanups.
 * Improved: Use exceptions instead of explicit size checking for each packet, added checks for full read received packets.
 * Improved: Optimizations for different guild data loading and use.
 * Improved: Fixed redundant calculation of v and s on every login.
 * Improved: Fixed race conditions in LockedQueue.
 * Improved: Fixed long existed bug with vmaps unloading.

 ==== Statistics ====
 * Fixed Bugs: 60 tickets and many bugs reported at forum resolved
 * Total number of changes: 600 revisions (635 commits)

MaNGOS 0.13   (10 June 2009)

 MaNGOS 0.13 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 * Added: Support for heroic class character creating and functionality.
 * Added: Support for area phase system.
 * Added: Support for achievement system and most achievement types implemented.
 * Added: Support for pet's talents learning and pet's spells auto-learning at level change.
 * Added: Support for one potion per-combat functionality work.
 * Added: Support for glyphs work.
 * Added: Support for explicit recipe discovery abilities.
 * Added: Support for heroic raid instance mode.
 * Added: Support for currencies tab.
 * Added: Support for prismatic sockets in items.
 * Added: Support for feral attack power bonus from items.
 * Added: Support for gameobjects and creatures grouping (pools of them).
 * Added: Support for deep ocean fatigue timer.
 * Added: Basic support for mind control like spells. Required more work for full functionality.
 * Added: Support for spellclick units.
 * Added: Support for mobs fleeing and run for getting assistance.
 * Added: support for bind to account items.
 * Improved: Implement proper hide out of range (at another map) transports.
 * Improved: Updated spell casting pushback system.
 * Improved: Allows saving characters in Battle Grounds.
 * Improved: Implemented new BattleGroundQueue invitation system. Now it supports premade group versus premade group matches.
 * Improved: Allow mini-pet has been questgivers or gossip holders, mini-pet use DB data for stats and flags.
 * Improved: Show arrows/etc at creature use ranged weapon and more support for proper scripting creatures with ranged weapon.
 * Improved: Support in DB set time ordering details and reward quest emotes.
 * Improved: Support for use spell data for spellranges at friendly targets.

 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====

 * Added: `spell_bonus_data` table for store damage/healing bonus coefficients.
 * Added: `player_xp_for_level` table added for store XP requirements for player levels instead outdated formula.
 * Added: Implement mangosd stop and pause if it work as Windows service.
 * Added: Implement active objects support.
 * Added: Implement precompiled headers use in build at Windows that speedup builds at Windows in big degree.
 * Added: Implement support for PostgreSQL connection using Unix sockets.
 * Added: EventAI (DB-based creature AI scripting engine) contributed by ScriptDev2 team
 * Added: Tool for convert sql queries/statements from mysql to pgsql.
 * Improved: Rewritten spell proc system added that allow resolve many limitations old spell proc system
 * Improved: Redesigned .map files structure with result more compact files with better data quality.
 * Improved: Better security checks in generic way for chat commands.
 * Improved: Taxi and specially quest taxi paths work.
 * Improved: Better support C++ scripting in script DLL including improvements in AI calls system.
 * Improved: Better support for localization.
 * Improved: Implement item use target requirements store in table `item_required_target`.


 ==== Statistics ====
 * Fixed Bugs: 41 ticket and many bugs reported at forum resolved
 * Total number of changes: 1057 revisions (1550 commits)

MaNGOS 0.12   (Dec 22 2008)

 MaNGOS 0.12 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 * Added: Support for different difficult instances, proper instances reset and proper group/player binding to instances.
 * Added: Support for arena system.
 * Added: Support for declined names (with Cyrillic client).
 * Added: Support for auction pending mail and 1 hour delay in money delivery to owner.
 * Added: Support for possibility reject warlock's player summon by targeted player.
 * Added: Support for talent based pet auras.
 * Added: Support for auto-reward quests.
 * Added: Support for trap arming delay in combat state.
 * Added: Support for show enchantment item effect on login screen.
 * Added: Support for restoration buff in battlegrounds.
 * Added: Support for dependent spell disabling (instead removing) at talent reset until talent re-learning.
 * Added: Support for guild/arena team leaders delete protection.
 * Added: Support for areatrigger scripting.
 * Added: Support for honor rewards from quests.
 * Added: Support for realmd reconnect from login character list.
 * Added: Support for configurable assistance aggro delaying.
 * Improved: Better duels work.
 * Improved: Improvements in battleground system work including really instancing battlegrounds.
 * Improved: Better support game localization for players and GMs.
 * Improved: More server-side re-checks for client side primary checked data for prevent cheating.
 * Improved: Player can't dodge attack from behind.
 * Improved: Correctly animate eating/drinking in cases sitting at chairs/etc.
 * Improved: Better guardians related functionality work.
 * Improved: Expected instant logout in taxi flight at logout request.
 * Improved: Re-implement raid ready check code.
 * Improved: Select fishing bobber activating time in more standard way.
 * Improved: Better random/waypoint creature movement work including fly case.
 * Improved: Evade distance is now based on the distance from the position that the creature was at when it entered combat.
 * Improved: Implemented further support for contested guards.
 * Improved: Show available daily quests at map as blue marks.
 * Improved: Limit distance for listen say/yell text.
 * Improved: Removed dismount at login hack that now unneeded.
 * Improved: Better support for low character experience gain in group with high character.
 * Improved: Default behavior of pets for creatures changed to REACT_DEFENSIVE.
 * Improved: Better work with combo points on miss/parry/immune.
 * Improved: Allow have team dependent graveyards at entrance map for instances.
 * Improved: Allowed switching INVTYPE_HOLDABLE items during combat.
 * Improved: Make flying creatures fall on ground when killed.
 * Improved: More correct way of calculating fall damage by using fall distance and not fall time.
 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====

 * Added: Support for load and use multiply DBC locales data at server.
 * Added: Store in `spell_chain` additional spell dependences from another spell chain for learning possibility checks.
 * Added: New chat command for reload settings from mangosd.conf file without server restart need.
 * Added: Set icon for realmd/mangosd binaries at Windows build.
 * Added: Start use Adaptive Communication Environment (ACE) framework v.5.6.6 in server network code.
 * Added: Migrate from SVN sourceforge.net to GIT github.com repository for project sources store.
 * Added: Script name indexing for creature, gameobject, item, areatrigger and instance script.
 * Added: The possibility to use custom process return values.
 * Improved: More DB tables loading at server startup and less unneeded DB access in server work time.
 * Improved: Console support for chat like commands features. Merge chat/console command list to single.
 * Improved: Implement possibility output detailed and DB error log messages from scripting code.
 * Improved: Better localization support for DB scripts and scripting library.
 * Improved: Referenced loot data moved to new table for better sharing like data from other loot tables.
 * Improved: Prevent overwriting realmd.conf and mangosd.conf on make install at Unix/Linux.
 * Improved: Update Visual Leak Detector lib to Version 1.9g (beta).
 * Improved: New revisions numbering and sql updates names scheme  with tools support used after switch to GIT.
 * Improved: Use DBC data for creating initial character items.

 ==== Statistics ====
 * Fixed Bugs: many :)
 * Total number of changes: 731 (323 in git)

MaNGOS 0.11   (Jul 22 2008)

 MaNGOS 0.11 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 * Added: Support for show possible blocked damage, armor penetration, negative stats and other data in client.
 * Added: Support for show aura charges in client.
 * Added: Support for spell casting delay at damage dependence from casting partly interrupts amount, apply interrupts in spell direct damage case also.
 * Added: Support for form requirement check for item/itemset casts at equip. Correctly cast at equip and cast/remove at form switch.
 * Added: Support for correct speed bonus stacking.
 * Added: Support for instant honor updating.
 * Added: Support for cap experience received from high level creatures.
 * Added: Support mining/herbalism mode for skinning of special creatures.
 * Added: Support for more battleground types, many improvements in battlegrounds work.
 * Added: Support for quests work with player title rewards, check for shareable quests base at quest flags.
 * Added: Support for quest rewarding with mail send after specific delay with possible items sent.
 * Added: Support for boss +3 target dependent level for attack rolls and chances.
 * Added: Support for dodge chance calculations depends from agility and level (use dbc based values) instead wrong hardcoded values.
 * Added: Support for defense/weapon skills maxed in PvP fight.
 * Added: Support for bilinear interpolation use for height calculation between existed map point data for better ground height selection for point.
 * Added: Support for corpse reclaim delay dependence from character death count in last period.
 * Added: Support for creatures movement flags storing in DB and setup from scripts, also store extra flags to mark creatures that can't parry/block/counterattack or not provide xp at kill.
 * Added: Support for offhand expertize.
 * Added: Support for generation of pet passive auras by DBC data.
 * Improved: Re-Implemented group/friend/enemy/pet area auras.
 * Improved: Finished fill spell_affect DB table allow have related spells correct working. Now only required update table at client switch.
 * Improved: Allow DoTs/HoTs ticks from dead caster if its not required caster alive state.
 * Improved: Better spell targeting selection code.
 * Improved: Removed outdated honor diminishing return support.
 * Improved: Fixed well known unexpected sit at stun bug.
 * Improved: More correct show and work with faction reputation.
 * Improved: Finish update to expected level dependent mana/health stats data for player's classes.
 * Improved: Better creature corpse despawn time selection. Corpse instant despawn after skinning.
 * Improved: Better check in front spell target requirement.
 * Improved: Show parry/dodge/block/crit calculation in client for same level creature enemy.
 * Improved: Correctly show item random property in all cases, including random property with suffix factor, in inspect and in equipped state at other player.
 * Improved: Use correct way to check binding items and check enchants apply in trade slot.
 * Improved: Rewritten mana regen calculation, also implement creature in combat mana regeneration delay.
 * Improved: Fixed long time existed problem with unexpected auto start melee attack after spell casting.
 * Improved: Re-implemented diminishing returns system.
 * Improved: Re-implemented fear movement.
 * Improved: Rewritten distract/dispel/spell steal effects.
 * Improved: Updated pet name generation data in DB.
 * Improved: Better work combat enter/leave system in PvP/PvE cases.
 * Improved: Many items and item set effects start work.
 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====

 * Added: New sql/tools directory for useful SQL queries for check and restore DB integrity.
 * Added: Own counter for HIGHGUID_PET low guids. Use it for pets. This let have lot more range for pet guids, and then more creature guid for instances spawns/totems.
 * Added: Replace existed random generators by Mersenne Twister random number generator.
 * Added: Support for Russian, Spanish Mexico, traditional and simplified Chinese clients to ad.exe.
 * Added: Support for using the failed_logins field in the account table. Support IP/account temporary ban at max allowed failed logins for account.
 * Added: Support for --enable-doxygen to enable doc generation at configure use at Unix/Linux.
 * Added: Anti-freeze system.
 * Added: AD.EXE now also extracts DBC files. It also now searches for patch files dynamically.
 * Improved: Updated MySQL client libs to 5.0.56.
 * Improved: Better checking DB data at server loading.
 * Improved: Apply reserver names check to pet/charter names also.
 * Improved: Move hardcoded base fishing skill for zone from code to new DB table.
 * Improved: Removed `spell_learn_skill` and `PlayerCreateInfo_skill` tables, use DBC data instead.
 * Improved: Many improvements in Gamemaster chat commands.
 * Improved: Many improvements in config options.
 * Improved: Better scripting support (DB base and C++ based scripts).

 ==== Statistics ====
 * Fixed Bugs: 194
 * Total number of changes: 708

MaNGOS 0.10   (Apr 18 2008)

 MaNGOS 0.10 - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====

 * Added: Implement talent inspecting.
 * Added: Implement unique equipped items support, including gems.
 * Added: Check instances where mount using allowed. Still need implement in-building check.
 * Added: Implement master looter loot mode.
 * Added: Implement quest related lootable gameobject activating only for characters with active quest.
 * Added: Implement multi-map taxi flights, allow teleport to instances/battleground in taxi flight time.
 * Added: Allow equip 2hand weapon in case swap with equipped mainhand/offhand weapon pair.
 * Added: Implement player confirmation request at player summon attempt.
 * Added: Implement support items with limited lifetime.
 * Added: Implement chance additional items crafting with appropriate profession specialization.
 * Added: Implement FFA PvP zones and FFA PvP server type.
 * Added: Implement Guild Banks.
 * Added: Implement expertise and better rating work.
 * Added: Implement dialog status show for gameobject like yellow exclamation signs above gameobject if quest available.
 * Added: Implement money requirement show for gossip box open.
 * Added: Apply reputation discounts to trainer spell prices.
 * Added: Implement death at fall to void/textures.
 * Added: Support dead by default creatures.
 * Added: Implemented work some nice items like "safe" teleport items.
 * Added: Implement correct stacking elixirs/flasks.
 * Added: Implement Fishing hole gameobjects work.
 * Added: Implement support correctly sitting at chairs with different height and slots.
 * Added: Implement normalized weapon damage use where it expected.
 * Improved: Limit player money amount by 214748g 36s 46c.
 * Improved: Allow join to LFG channel if character registered in LFG tool.
 * Improved: Better detection and calculation in fall damage.
 * Improved: Update XP generation for high levels and use coefficients dependent from new/old continents position.
 * Improved: Better immunity/resisted/interrupting spell work.
 * Improved: Better check area/zone/map/mapset limited spells at cast and zone leave.
 * Improved: Fixed long time existed problems with client crash at group member using transports.
 * Improved: Add/update lot spell_affect/spell_proc_event tables content that let work many talents, spells, and item effects.
 * Improved: Better mail system work, use it for problematic items at character loading, and sending honor marks if need.
 * Improved: Use correct coefficients for damage/healing spell bonuses for many spells.
 * Improved: Restore work weather system.
 * Improved: More correct spell affects stacking at target, and spell icons stacking in spellbook.
 * Improved: More correct work explicit target positive aura rank auto-selection and implemented area auras rank auto-selection.
 * Improved: Correct work permanent skill bonuses.
 * Improved: Prevent lost money at unexpected double pay for learned spell with lags.
 * Improved: More correct show for other players character state under different spell affects and in time spell casting.
 * Improved: More correct random item enchantment bonuses selection and work code.
 * Improved: Better battlegrounds work.
 * Improved: Implement default open doors/pushed buttons support.
 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====

 * Added: broken spells check at use and loading.
 * Added: Implement pid file support.
 * Added: Extract and include svn revision version data in binaries at build.
 * Added: Implement binding socket to specific network interface (IP address) instead all interfaces using new config option.
 * Added: Implement support 64-bit binaries building at Windows.
 * Added: Enable the LARGEADDRESSAWARE flag for Visual Studio 2003 mangosd and realmd projects.
 * Improved: Allow Gamemasters see any creature/gameobject including invisible/stealth, allow select unselectable units.
 * Improved: Many server-side check for casts (while shapeshifted, other caster and target reqirents) to prevent cheating.
 * Improved: better loot system implementation including more loot conditions support and simplify loot managment for DB creators.
 * Improved: better DB content error reporting at server load.`
 * Improved: Many improvements in Gamemaster chat commands.
 * Improved: Update sockets library to v.2.2.9 version.
 * Improved: More arena support but not full yet.
 * Improved: Less amount data sent to clients, including in spell casting time.
 * Improved: Fixed/finish PostgreSql support.
 * Improved: Better scripting support (DB base and C++ based scripts).

 ==== Statistics ====
 * Fixed Bugs: 784
 * Total number of changes: 804

MaNGOS 0.9    (Dec 14 2007)

 MaNGOS 0.9 - Codename "Flight Master" - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====
 * Added: support for recipe discovery,
 * Added: support for allowing use of an item only in a specific map or area,
 * Added: support for free-for-all quest/non-quest loot items, additional loot conditions,
 * Improved: a more correct implementation of XP gain (level dependent) when in a group,
 * Improved: fixed creature killed from DoTs but remaining stuck with 1/3 health,
 * Improved: spell and melee crit chance now calculated from DBC data and combat rating coefficients,
 * Improved: a more correct implementation of mana/health regeneration calculation, including quick health regeneration in a polymorphed state,
 * Improved: better support for quests with multiple speakto goals, less dependent on DB for quest flag calculation,
 * Improved: more functionality added to battlegrounds, including correctly showing battleground scores,
 * Improved: a more correct implementation of reputation gain for other factions from the same team,
 * Improved: better support for simple database scripts (quest-start/end, buttons, spells)
 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====
 * Added: support for running mangosd/realmd as Windows services,
 * Added: support for auto-generation of mangosd/realmd crash reports (Windows version only),
 * Added: support for Visual Studio 2008 Express and Pro,
 * Added: support for new Char.log for basic character operations, including save dump of character data on deletion, and logging client IP,
 * Added: support for players queue at login,
 * Improved: better DB content error reporting at server load,
 * Improved: division of Mangos DataBase to MangosDB(WorldDB) and CharactersDB.
 * Improved: better support for older autoconf / automake versions,
 * Improved: existing chat and console commands for server gamemasters/administrators, and added new commands.

 ==== Statistics ====
 * Fixed Bugs: 161
 * Total number of changes: 228

MaNGOS 0.8    (Oct 16, 2007)

 MaNGOS 0.8 - Codename "Innkeeper" - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 Important License Change Notice: MaNGOS still is licensed under the terms
 of the GPL v2, but we now have added an exception to officially allow our
 users to link MaNGOS against the OpenSSL libraries.

 ==== Game Features ====
 * Added: a new threat manager was introduced,
 * Added: log more GM activities,
 * Added: many new features for creatures and game objects working,
 * Added: support for client build 6898, aka version 2.1.3,
 * Added: support for custom creature equipment and display,
 * Added: support for daily quests,
 * Added: support for different fishing loot in sub-zones,
 * Added: support for gender specific models,
 * Added: support for instance specific scripts and data,
 * Added: support for localization of names, texts, etc.,
 * Added: support for multiple battleground instances,
 * Added: support for scripted game object buttons,
 * Improved: battlegrounds should be mostly working, only a few issues left,
 * Improved: dungeon system has seen a few improvements,
 * Improved: formulas for most aspects of the game,
 * Improved: many player level up values have been corrected,
 * Improved: pet and demon handling has seen a lot of improvements,
 * Improved: properly divide loot and reputation in groups,
 * Rewritten: battleground queue system,
 * Rewritten: invisibility detection,
 * plus lots of fixes for auras, effects, spells, talents, and more.

 ==== Server Features ====
 * Added: support for database transactions,
 * Added: support for height maps -- named vmaps -- to tackle the LOS issue,
 * Added: support for OpenBSD and FreeBSD building,
 * Fixed: lots of memory leaks closed,
 * Fixed: Numerous bug fixes to the core,
 * Improved: database queries adding performance boosts here and there,

 ==== Statistics ====
 * Fixed Bugs: 528
 * Total number of changes: 558

MaNGOS 0.7    (Jul 9, 2007)

 MaNGOS 0.7 - Codename "Eye of the Storm" -adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

==== Game Features ====
 * Fixed: random item enchantment display in the auction/mail/group loot dialogs. The item properties are also properly applied to the items at creation.
 * Added: support for opening gameobjects/items using their specific keys. Implemented key requirements for entering instances.
 * Added: a threat based aggro system along with threat bonuses from spells.
 * Implemented many additional spell effects and auras. The spell system is one step closer to completeness.
 * Improved: creature/player hostility checks using more accurate faction hostility data. Hostility is checked when casting spells including area-of-effect spells.
 * Fixed: parry/dodge related code.
 * Improved rage generation formula on blocked attacks/armor reduction etc.
 * Fixed: creature movement problems after creature stun/roots and creature orientation in some cases.
 * Fixed: some small problems in the player inventory system.
 * Added: support for all resurrection methods for various classes. Resurrection from corpse is also implemented.
 * Fixed: showing cooldown for items and spells, server side check and saving to the database is also implemented.
 * Added: support for gift creation.
 * Improved: the pet system and more improvements will follow in next release.
 * Added: keyring support.
 * Improved: many features related to raids/groups.
 * Added: support for in game guild creation. Guild system can be considered finished. Arena team creation  is also partly implemented.
 * Added: target immunity. The targetable flag and the creature type limitation for spell targeting, which is now check when creating the target list, allows area spells against specific creature types like undeads/demons to work.
 * Added: support for diminishing duration of stun/fear/etc effects.
 * Rewrote: pet stable code along with improvements and bug fixes.
 * Added: support for who list filters.
 * Added: the instance system.
 * Fixed: the weather system, now common weather is shown for all players in the same zone.
 * Improved: the mail system and implemented the delay for mails containing items.
 * Added: an initial version of the battleground system. One type of battleground is mostly done, still needs more work.
 * Added: the jewelry profession, prospecting and support for inserting gems in sockets including meta gems bonuses.
 * Added: support for multi-mining veins.
 * Added: support for auto-renaming of characters on login at the request of GMs.
 * Added: a new, more correct visibility system, invisibility is also implemented correctly now.
 * Improved: durability cost calculation.

 ==== Server Features ====
 * Added: full support for 2.0.x client branch.
 * Added/improved: many GM-commands.
 * Added: many checks for DB data at server load to simplify detecting problems and DB development.
 * Moved: many data stored in code to the DB and cached most static DB data at server load to speed up runtime access to it.
 * Added: support for saving next spawn time for creatures/GOs which is now used it at grid/server load.
 * Improved: the script system allowing more item/creature/GO scripts with more features to be written easily.
 * Added: size checking for all packets received from the to prevent crashes at wrong data. Many other received data check were also added to prevent cheating.
 * Improved: the compatibility with 64-bit platforms.
 * Added: support for account password encryption in the DB to increase secure security.
 * Added: support for a log directory and the date info is now added to log name.
 * Updated: the network library to a recent version.
 * Fixed: many memory leaks and crases sources.
 * Added: DBC locale support that can be set from mangosd.conf.

 ==== Statistics ====
 * Fixed Bugs: 390
 * Total number of changes: 923

MaNGOS 0.6    (Jan 29, 2007)

 MaNGOS 0.6 - Codename "Black Dragonflight" - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 ==== Game Features ====
 * Creature and game object respawning has finally been fixed and is considered finished.
 * Many improvements to decrease time for saving player data, and transaction support for save operations has been added.
 * Many item fixes for using / equipping/ enhancing function (some errors still remain and have to be resolved).
 * All professions work now (many fixes have been implemented, you may now enjoy fishing).
 * Mail and auction house system has been rewritten, finally should work as it supposed to be.
 * Spell system has received a HUGE number of improvements, and should feel much better. (Still many problems are left to be fixed, most notable include procflag spell casting, also many effects and auras are not implemented yet).
 * Pet-stable implemented. Many improvements in hunter and warlock pet system (Problems with pet casting exists, various other minor bugs too).
 * Rest system can be considered finished.
 * Quest system has been rewritten (some problems remain unresolved).
 * Implemented PvP system, and support PvE and PvP realm types.
 * Duel system has been rewritten and can be considered complete (minor bugs still remain: e.g. characters sometimes may be killed in duels by channeled spells, or after duels finished by pets still attacking).
 * Guild system improvements, including guild charter, guild master, and guild tabard work. (Some bugs reported about losing tabard style, etc).
 * Some taxi system fixes and improvements. Switched to use DBC only data for taxi system work.
 * Group related code has been rewritten, and extended to support raid groups.
 * Loot code improvements and implementing group loot modes (except master loot mode).
 * Correct implementation for creature skinning has been added.
 * Unlearning talents, and unlearning spells with first rank received from unlearned talent implemented.
 * Transports (ships/zeppelins) system implemented (still have some synchronization problems).
 * Many fixes in combat system (Still have many problems).
 * Enchanting in trade slot implemented as last not implemented part of trade system. Many other fixes.
 * Rogue stealth for other players implemented and many fixes in druid forms.

 ==== Server Features ====
 * Full support for 1.12.x client branch has been implemented.
 * Many GM-commands added and improved including GM mode state and GM invisibility.
 * Many cheating preventing checks added and code rewrites.
 * DB-based scripting support added for quest emote scripts and spell event scripts.
 * Many improvements in less client-server data amount transferring.

 ==== Statistics ====
 * Fixed Bugs: 306
 * Total number of changes: 874

MaNGOS 0.5    (Sep 20, 2006)

 MaNGOS 0.5 - Codename "Stable Master" - adds further improvements to the
 server core as well as to the majority of game classes and the game content
 database.

 Most noteable changes include cleaning up the database backend, adding proper
 support for game clients of version 1.10.2, and closing lots of threading and
 memory related bugs. Cross-platform support has been improved as well, MaNGOS
 should build and run on FreeBSD as well.

 Feature-wise, support for pets, totems, more spells, talents, etc. have been
 added, as well as lots of quest related features.

 ==== Statistics ====
 * Fixed Bugs: 544
 * Total number of changes: 1828.

MaNGOS 0.1    (Dec 04, 2005)

 MaNGOS 0.1 - Codename "Lightbringer" -adds further improvements to the server
 core as well as to the majority of game classes and the game content database.
 A complete list of all updated items follows below:

 === Game Features ===
 * Add all AI files to the build process on Windows
 * Added: Better item information updates.
 * Added: Check on death for invalid duel status.
 * Added: Client now shows full Creature information.
 * Added: Creature::_RealtimSetCreatureInfo procedure which only sets changed values for realtime usage.
 * Added: DEBUG_LOG for logging debug messages. Works with --debug-info switch on Linux and debug build on Windows.
 * Added: Extra information for NPC and item information transmissions.
 * Added: GM command .modify spell spellflatID,val,mark.
 * Added: Guild structures, creation, saving data to DB.
 * Added: Initial support for binding heart stones to a location.
 * Added: Initial support for Guilds. Loading from DB, class, creation and management functions, plus some opcodes supported.
 * Added: Initial support for item stacks.
 * Added item page text display for detailed item info.
 * Added: Level 3 command for Guild creation.
 * Added: Linux Makefiles will now install mangosd.conf to sysconfdir when running "make install" after build.
 * Added pragma's to disable stupid compiler warnings. Code now compiles cleanly.
 * Added: Random generation of damage values for weapons based on their level.
 * Added: RandomMovementGenerator. Template not yet implemented.
 * Added SharedDefines.h (and updated some enums with more values).
 * Added: Sheath code.
 * Added: Some DB cleaning tools, hard-coded damage can be removed now.
 * Added: some movement related classes.
 * Added: SQL tables for guilds.
 * Added: Support for additional spells.
 * Added support for AIM system ( Artificial Intelligence and Movement ).
 * Added: Support for client 1.8.3.
 * Added support for Guild System, still has some bugs, about 85% done.
 * Added support for Honor System, initial support is done, calculations need love.
 * Added support for IP logging of players.
 * Added: Support for page texts.
 * Added: Support for QuestAreaPoints.
 * Added support for reputation.
 * Added: Support for tutorials.
 * added the opcode name in the world.log for bether cheking
 * Added: Weapon damage genrator now adds extra damage types for some items.
 * Add Tools,DBC Editer,you can use it to edit all .dbc File,
 * AI delivery
 * Fix duel flag object position
 * Fixed and sped up the players array code.
 * Fixed: Armor settings.
 * Fixed: Bug fixes for crash and other stuff.
 * Fixed: Character bug on login closed.
 * Fixed character creation bug
 * Fixed: Commented wrong lines in last commit. Now correct ones commented.
 * Fixed: Creation of item spells.
 * Fixed: Creature::SaveToDB() code fixed. I messed it up while trying to sort out NPC corpse issue. Now back to normal.
 * Fixed dead NPC issue.
 * Fixed: Double Jump bug fixed with a temporary solution.
 * Fixed: Fixed duplicate inclusion of Opcodes.cpp and Opcodes_1_7_x.cpp in game and mangosd directory for VC7 build.
 * Fixed: Friendly NPCs attacking.
 * Fixed Game Objects, now signs other objects all display.
 * fixed gametickets at last,added error handling,character can have only 1 gmticket
 * Fixed: Handle the bad data for guid and LOW/HIGH GUID.
 * Fixed: Intel C++ VC project now compiles.
 * Fixed: Item query code fixed. Item now display most stats (90%).
 * Fixed: ItemQuery opcode. This prevents a crash when talking to some vendors.
 * Fixed: Minor fixes for Creatures health, added some comments.
 * Fixed: NPC texts.
 * Fixed: One of the lines in ObjectAccessor.cpp wa removed by accident in changeset #356, causing nearby creatures not roaming, thus not attacking for aggressors.
 * Fixed: Proper comparison for maxhealth.
 * Fixed: Release build for 1.8 and default Grid ON
 * Fixed: Resolve dead NPCs, maxhealth setting.
 * Fixed Skill check for equiping Items.
 * Fixed: Small fix for Windows build in ObjectAccessor::Update(const uint32 &diff).
 * Fixed: Talent modifiers.
 * Fixed: Talent percent work.
 * Fixed: Vendors now load and display items.
 * Fix: now the player can only equip item, if have the proper skill
 * Fix two player in the same zone cores. Fix mem leaks in 1.8 mask deletion. And fix core dump for npc handler due to GUI only takes lower part.
 * Function _ApplyItemMods() is protected... then i created a public function ApplyItemMods() that calls it... Object Oriented Project, guys!
 * Function SetStanding() has been created. Now needs to put it on places where the standing of the reputation is increased.
 * Initial delivery of the AI framework..
 * Major CPU usage improvements with grid system disabled.
 * msg of ignore list fixed
 * Now Faction.dbc is being loaded.
 * Progress bar code enhanced.
 * Put back compression. Apparently the core problem of two players is NOT solved cuz I can still replicate it.
 * Removed: All ENABLE_GRID_SYSTEM defines removed.
 * Removed: Some operation out of Creature::Updated. Resolve dead NPCs.
 * Reputation: first step. List of factions has been created. Some opcodes are working now.
 * Reputation: second step. _LoadReputation, _SaveReputation, LoadReputationFromDBC functions have been created. Now all reputation factions are into factions list.
 * Reputation System is now fixed. All functions are fixed. Load and save to DB are fine. The file reputation.sql has been updated.
 * Reputation table has been created... update your Data Base!
 * Resolved: Outstanding issues in phase 2 of grid system, still some left.
 * Small reputation table sql fix for compatability. Remove latin character requirement.
 * Started adding Enchant spell code.
 * Started writing local items cache. (disabled)
 * Still working on reputation... now FactionTemplate.dbc is loaded.
 * Trainer code fixed. Items now disappear when you learn them.
 * Trainer code update.
 * Updated: Added guild sql files to Linux Makefile.
 * Updated: Adjusted Item Query code.
 * Updated: AtWar flag will now bet set for hostile fractions by LoadReputationFromDBC function.
 * Updated: Changed transmission of item information.
 * Updated: Creature display updates.
 * Updated: Deliver Grid system phase 2 for VC7. The Grid System (TGS) completed.
 * Updated: Display nicer statistics on daemon startup.
 * Updated: FactionTemplate now hashed.
 * Updated Game Objects. Looting works, loot template missing, support for Herbs, Mines, Locks missing.
 * Updated: Item text pages now display additional information.
 * Updated mail support. Now fully works.
 * Updated: More debug cleanings.
 * Updated: More grid optimizations.
 * Updated: only updated creatures/objects near adjacent cell of where player stands. Also intersection of cell between player should update once.
 * Updated: On Quest completion your faction reputation will increase properly.
 * Updated: Quest and NPC text loading modified to suit the new tables.
 * Updated: Quest code will now read the Creature_ID from the table.
 * Updated: Removed some obsolete code.
 * Updated: Rewrote urand() procedure to fix conflicted SVN.
 * Updated: _SetCreatureTemplate() must be run in an update. When set on creation, it has no effect.
 * Updated: Spell time recution talents now fully work.
 * Updated: The Grid System (TGS) is now on by default.  Not support grid off. Next, (1) deliver phase 2 stuff and (2) remove ifdef and ALL old classes.
 * Updated: TRUNCATE is faster than DELETE

 === Server Features ===
 * Added CLI interface for server. Needs to be enabled on compile-time.
 * Reorganized Spell System, separated effects to a diferent file, for better fixing.

 ==== Statistics ====
 * Fixed Bugs: #14, #17, #20, #22, #23, #24, #25, #26
 * Total number of changes: 193.

MaNGOS 0.0.3  (Nov 15, 2005)

 MaNGOS 0.0.3 - Codename "Mango Carpet" - was mainly a bug fix release, which
 never was published on the web, and just marks a point in development where
 a damn lot of bugs had been fixed, but we still felt the need for further work
 to be done before a release could be pushed to the world.

MaNGOS 0.0.2  (Oct 31, 2005)

 MaNGOS 0.0.2 - Codename "Library" - adds another bunch of improvements, bug
 fixes and major enhancements to the overall functionality of the daemon. A
 complete list of all updated items follows below:

 ==== Game Features ====
 * Added support for area exploration.
 * Added support for duels.
 * Added support for ticket system.
 * Added support for trading.
 * Added support for NPC movement when there are no waypoints defined.
 * Added support for NPC gossip, now handling options, and providing default options.
 * Added attack code for creatures.
 * Added default data for realm list.
 * Fixed character logout. Players can only log out when not in combat.
 * Fixed friends and ignore lists.
 * Fixed game objects to have proper sizes.
 * Fixed item swapping.
 * Fixed player factions.
 * Fixed vendors. They now work without requiring gossip texts defined, as long as they have objects to sell.
 * Updated command descriptions to be more meaningful.
 * Updated default data for player creation. Actions, items, skills and spells moved to database.

 ==== Server Features ====
 * Added support for building with Intel C++ compiler on Windows.
 * Added support for building with debug info on Linux. Use --with-debug-info switch to include debug info.
 * Added support for building with 1.8.x protocol as default protocol. Use the 1.8.x build configurations in Visual Studio or --enable-18x switch on Linux.
 * Added support for building with 1.7.x protocol. Use the 1.7.x build configurations in Visual Studio or --enable-17x switch on Linux.
 * Added support for internal httpd server added for those not running Apache. --enable-httpd-integrated will add it. Windows solution available.
 * Added support for displaying progress bars for daemon startup loading.
 * Added support for on demand Grid Loading/Unloading system, which is disabled by default.
 * Added core application framework.
 * Added support for console commands (setgm,ban,create,info)
 * Added command line switch -c for pointing to a custom configuration file. By default file from _MANGOSD_CONFIG (defined in src/mangosd/Master.h.in) will be used.
 * Fixed ZThread build process.
 * Fixed segmentation fault on zone map test due to access of array out of bound. Also, change m_ZoneIDmap to use bitset instead of the 4 bytes bool.
 * Fixed memory leak problems. The creation of new TYPE[] must delete with [] for correctness otherwise n-1 members are leaked.

 ==== Statistics ====
 * Fixed Bugs: #4, #7, #12, #13, #16, #18, #19
 * Total number of changes: 225.

MaNGOS 0.0.1  (Sept 13, 2005)

 MaNGOS 0.0.1 - Codename "Endeavour" - contains a great number of new features,
 improvements and bug fixes. The following list contains all of them:

 * NPC gossips now hash by Guid instead of ID. ID is meaningless and we should revisit its usage.
 * Fixed client crash issue. GameObject still not interactive. Flags issues.
 * Introduced new gameobjecttemplate table as well new map files.
 * Added SCP-to-SQL converter to contrib/scp-to-sql/.
 * MySQL 4.0 branch now is minimum requirement.
 * Server causes client to core on unintialized memory. Also, remove some debug statement which causes problem when the DB is large
 * Creature loot now reads from the creatureloot table. Use a new algorithm to select loot items that mimic the probabilities assigned in each item.
 * Fixed configuration file, added proper settings for packet logging.
 * Added default data for player creation and command help.
 * Added GM command: .addspw #entry-id. Spawns a creature from creaturetemplate table by given #entry-id.
 * Server randomly cores if DBC file failed to load. Fixes by intializing all DBC class internal variables.
 * Daemon version and path to daemon configuration now set by build system on compile time.
 * Allow connections from client release 4544
 * Update solution and project files for latest Visual Studio .NET 2005 Beta 2 release.
 * Fixed compiler error for gcc 4.0 or higher. Calling templated base class methods has to be explicit from 4.0 or higher on.
 * Added contrib/ subdirectory for third-party tools.
 * Applied MaNGOS code indention schema.
 * Initial code checked into repository.

 ==== Statistics ====
 * Fixed Bugs: #2, #3, #9, #10, #11
 * Total number of changes: 53.

